#ifdef VHDL

/*
 * $Id: Vhdl_get_signal.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::get_signal"
  std::string Vhdl::get_signal (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    test_architecture();

    std::string _return = get_list (_architecture[_name_architecture]._list_signal, depth, ";", true);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
